Summary: The 'localedef' utility
Name: elocaledef
Version: 1
Release: 1
License: GPL
Group: System Development
URL: http://www.eglibc.org
Source: elocaledef_20070513.tar.bz2
Patch: cross_larch_elocalede_080307.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


%description
The 'localedef' utility is used to create and manage Glibc locale files.
Unlike of the standard Glibc'c 'localedef', it is suitable
to creating binary locale data with different endianess, which
is required in a cross-build environment.

%prep
%setup -q -n %{name}
%patch -p1

rm -rf $RPM_BUILD_ROOT
./configure --prefix=/usr --target=%{_targetarch}-linux --with-glibc=`pwd`/glibc

%build
make


%install
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
install localedef ${RPM_BUILD_ROOT}/usr/bin


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/usr/bin


%changelog
* Wed Mar 5 2008 Sergei Poselenov  <psl@emcraft.com>
- Initial build

